v3.0

get

/ec-ors-svc/rest/v3.0/studies/{studyId}/{mode}/subjects/{subjectId}/allowed-doseholds

Get kits allowed for dose hold in the current visit for a given subject, taking into account ADs. Rights: OrsSubjectVisitGet.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    1BC29B36F5D64B1B95F4BDBBCEA481BE
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
  • Instance number for unscheduled visit.
    Example:
    1
  • Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
    Screening date and time in yyyy-MM-dd'T'HH:mm:ss.SSS'Z' format.
    Example:
    2026-03-01T00:00:00.000Z
  • String representing the version of the study. Helps track changes in form or study design.
    Example:
    1
  • Unique identifier (UUID, 32-character uppercase hexadecimal string) of the visit
    Example:
    B1B8327AFAA6412287106192AB5984EF
  • Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$
    Visit start date and time in yyyy-MM-dd'T'HH:mm:ss.SSS'Z' format.
    Example:
    2026-03-01T00:00:00.000Z

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : Dose Hold Kits Response
Type: object
Title: Dose Hold Kits Response
Contains information about kits allowed or not allowed for dose hold.
Show Source
Nested Schema : kitsAllowedForDoseHold
Type: array
Show Source
Nested Schema : kitsNotAllowedForDoseHold
Type: array
Show Source
Nested Schema : DoseHoldKit
Type: object
Title: DoseHoldKit
Response containing dose hold kit details.
Show Source
Example:
{
    "kitId":"C1C8327AFAA6412287106192AB5984EF",
    "kitNumber":"KIT-000456"
}
Examples

400 Response

Invalid subject OR Scheduled visit with instance number OR Unscheduled visit with no instance number
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

500 Response

Internal server error
Body ()
Root Schema : ORSResponse
Type: object
Common response object.
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Result Object
Nested Schema : details
Type: object
Examples

Back to Top